%define lib_major 2
%define lib_name %mklibname croco %{lib_major}
%define last_abi_break_version 0.5.0
%define	Summary	CSS2 parser library
Name:		libcroco
Summary:	%{Summary}
Version: 	0.5.1
Release: 	2mdk
License: 	GPL LGPL
Group:		System/Libraries
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
URL: 		http://savannah.nongnu.org/projects/libcroco
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libxml2-devel
BuildRequires:  pango-devel
BuildRequires:  libgnomeui2-devel

%description
libcroco is a standalone css2 parsing library.
It provides a low level event driven SAC like api
and a css object model like api.

%package -n	%{lib_name}
Summary:	%{Summary}
Group:		System/Libraries

%description -n %{lib_name}
libcroco is a standalone css2 parsing library.
It provides a low level event driven SAC like api
and a css object model like api.

%package -n	%{lib_name}-devel
Summary:	Libraries and include files for developing with librsvg
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	libxml2-devel
Requires:	libglib2-devel
Conflicts:	%{name}-devel < %{last_abi_break_version}

%description -n	%{lib_name}-devel
This package provides the necessary development libraries and include
files to allow you to develop with libcroco?

%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#multiarch
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/croco-config

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{lib_name}

%postun -p /sbin/ldconfig -n %{lib_name}

%files 
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_bindir}/csslint
%{_mandir}/man1/csslint*

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_bindir}/croco-config
%multiarch %{multiarch_bindir}/croco-config
%{_mandir}/man1/croco-config*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*

%changelog
* Wed Mar 23 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.1-2mdk
- multiarch
- update license, only libraries are LGPL while the rest is GPL
- fix summary-ended-with-dot
- change macros to avoid possible conflict if we were to build debug package

* Mon Apr 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- new version

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-2mdk
- Add Conflicts to easy upgrade

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-1mdk
- Release 0.5.0 (with Götz help)

* Mon Dec 15 2003 Götz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- new version

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.3.0-2mdk
- Fix buildrequires

* Thu Jul 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.3.0-1mdk
- Release 0.3.0

* Mon Jul  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.2.0-1mdk
- Release 0.2.0
- WARNING : binary compat is broken, you need to recompile apps built with libcroco 0.1

* Fri Jun 13 2003 Götz Waschk <waschk@linux-mandrake.com> 0.1.0-2mdk
- rebuild for new rpm

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.1.0-1mdk
- First Mdk package.
